<?php

// Add Menu Types
call_user_func(function () {

    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
        'IgGridgallery',
        'Iggridgallery',
        'Bildergalerie'
    );
    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
        'IgGridgallery',
        'IggridgalleryGrid',
        'Bilder-Grid Layout'
    );

    // Adding flexforms
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue(
        '*',
        'FILE:EXT:ig_gridgallery/Configuration/FlexForms/Controller/GridgalleryFlexform.xml',
        'gridgallery'
    );

    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue(
        '*',
        'FILE:EXT:ig_gridgallery/Configuration/FlexForms/Controller/GridgalleryGridFlexform.xml',
        'gridgallery_grid'
    );

    $GLOBALS['TCA']['tt_content']['columns']['CType']['config']['items'][] = [
        'Bilder-Slider',
        'gridgallery',
        'gridgallery-icon',
    ];
    $GLOBALS['TCA']['tt_content']['columns']['CType']['config']['items'][] = [
        'Bilder-Grid Layout',
        'gridgallery_grid',
        'gridgallery-icon',
    ];
    $GLOBALS['TCA']['tt_content']['types']['gridgallery']['showitem'] = $GLOBALS['TCA']['tt_content']['types']['header']['showitem'];
    $GLOBALS['TCA']['tt_content']['types']['gridgallery_grid']['showitem'] = $GLOBALS['TCA']['tt_content']['types']['header']['showitem'];

    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes('tt_content', '--div--;Slider,pi_flexform;;;;1-1-1,', 'gridgallery', 'after:subheader');
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes('tt_content', '--div--;Grid-Galerie,pi_flexform;;;;1-1-1,', 'gridgallery_grid', 'after:subheader');

});
