<?php
defined('TYPO3_MODE') or die();

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
	'IgGridgallery',
	'Iggridgallery',
	[
		\Ig\IgGridgallery\Controller\GridgalleryController::class => 'show'
	],
	// non-cacheable actions
	[
	 ]
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
	'IgGridgallery',
	'IggridgalleryGrid',
	[
		\Ig\IgGridgallery\Controller\GridgalleryController::class => 'grid'
	],
	// non-cacheable actions
	[
	 ]
);

// Register icon
$iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Core\Imaging\IconRegistry::class);
$iconRegistry->registerIcon(
  'gridgallery-icon',
  \TYPO3\CMS\Core\Imaging\IconProvider\BitmapIconProvider::class,
  ['source' => 'EXT:ig_gridgallery/Resources/Public/Icons/gridgallery.png']
);


if (!isset($GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['ig_gridgallery'])) {
  $GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['ig_gridgallery'] = [];
  $GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['ig_gridgallery']['frontend'] = 'TYPO3\\CMS\\Core\\Cache\\Frontend\\VariableFrontend';
  $GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['ig_gridgallery']['backend'] = 'TYPO3\\CMS\\Core\\Cache\\Backend\\Typo3DatabaseBackend';
  $GLOBALS['TYPO3_CONF_VARS']['SYS']['caching']['cacheConfigurations']['ig_gridgallery']['options']['compression'] = 1;
}

//Include TypoScript for PageTSConfig
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig('<INCLUDE_TYPOSCRIPT: source="FILE:EXT:ig_gridgallery/Configuration/TypoScript/extTsConfig.tsconfig">');
